# docset-server

This is a simple "Docset Viewer".  It is intended to browse documentation
offline, in a web browser.

Docsets are sqlite3 files containing a search index and a directory structure
of HTML files. They are typically used for reading technical documentation offline.

You can read more about them here:  https://kapeli.com/docsets

# Your ~/.docset directory

By default, docsets go in your ~/.docset directory. 

One or more "docset directories" can exist in your ~/.docset 
directory. (A docset is a directory of files) 

If you have the Zeal program installed, the command
below will allow you to use the same docset files:

  ln -s .local/share/Zeal/Zeal/docsets .docset

# Viewing Docset Files

The program docset_server.js can be used to start an HTTP server which 
serves up your docset files to a web browser.

Navigate to http://localhost:8080/ to search your docset files.

The "Options" menu allows you to specify which docset(s) you'd like to search,
as well as the type of information to search for. These are simple check boxes,
and you can use regular expressions to "mass-select" one or more options from
the list.

# About the author and so-forth:

	gopher://tilde.black/0/users/hoper


