'use strict';


const httpserve = require('./lib/httpserve');
/**
* start_server(options) -- Start the docset server.
*
* This is a basic docset server so you can read online documentation
* offline. It's not as full featured as "Dash" or "Zeal", but it does
* run in a browser and takes up fewer resources. 
*
* You can read more about docsets here:
*     https://kapeli.com/docsets
*
* Options are:
* - port: Port number to listen to.
* - docset: Path to the docset directories. 
*
*
* You can run this from the command line via:
*    bin/docset_server.js
*/
exports.start_server = httpserve.start;
